<template>
  <h2>Term List of breeds</h2>
  <div class="flex">
    <div>
      <ul v-if="breeds">
        <li v-for="(breed, index) in breeds">
          <button @click="getBreed(breed.id)">{{ breed.name }}</button>
        </li>
      </ul>
    </div>
    <div v-if="selectedBreed.photo" class="selected-breed">
      <h2 class="title">Selected Breed</h2>
      <h3>{{ selectedBreed.name }}</h3>
      <p><strong>Bred For:</strong> {{ selectedBreed.bred_for }}</p>
      <img :src="selectedBreed.photo" :alt="selectedBreed.name">
    </div>
  </div>
</template>

<script setup>
import {ref, reactive, onMounted} from 'vue'

const breeds = ref(null)
const selectedBreed = reactive({
  name: '',
  bred_for: '',
  photo: ''
})

async function getDogsList() {
  const data = await fetch('https://drupal-starter.lndo.site/api/taxonomy/terms/all?_format=json', {
    type: 'GET'
  }).then(response => response.json())
  console.log(data)
  breeds.value = data
}

async function getBreed(breedId = null) {
  let url = `https://drupal-starter.lndo.site/api/taxonomy/terms/${breedId}?_format=json`
  const data = await fetch(url, {
    type: 'GET'
  }).then(response => response.json())
  console.log(data)
  selectedBreed.id = data[0].id
  selectedBreed.name = data[0].name
  selectedBreed.bred_for = data[0].bred_for
  selectedBreed.photo = data[0].photo
}

onMounted(() => {
  getDogsList()
})
</script>

<style>
.selected-breed h2.title {
  margin-top: 0;
}
.selected-breed {
  padding-left: 2em;
}
.flex {
  display: flex;
  flex-direction: row;
}
</style>
